Package org.apache.cayenne.dba

## Class DefaultQuotingStrategy

- java.lang.Object
- - org.apache.cayenne.dba.DefaultQuotingStrategy

- All Implemented Interfaces:
    `QuotingStrategy`

      public class DefaultQuotingStrategy
      extends Object
      implements QuotingStrategy

  Since:
    4.0 this is a top-level class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultQuotingStrategy​(String startQuote, String endQuote)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `quotedFullyQualifiedName​(DbEntity entity)` | Builds a fully qualified name from catalog, schema, name parts of DbEntity, inclosing them in quotations according to this strategy algorithm.
    `String` | `quotedIdentifier​(DataMap dataMap, String... identifierParts)` |
    `String` | `quotedIdentifier​(Entity entity, String... identifierParts)` |
    `String` | `quotedName​(DbAttribute attribute)` |
    `String` | `quotedSourceName​(DbJoin join)` |
    `String` | `quotedTargetName​(DbJoin join)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultQuotingStrategy

          public DefaultQuotingStrategy​(String startQuote,
                                        String endQuote)

  - ### Method Detail

    - #### quotedFullyQualifiedName

          public String quotedFullyQualifiedName​(DbEntity entity)

      Description copied from interface: `QuotingStrategy`
      Builds a fully qualified name from catalog, schema, name parts of DbEntity, inclosing them in quotations according to this strategy algorithm. Analog of "quotedIdentifier(entity.getCatalog(), entity.getSchema(), entity.getName())".
      Specified by:
        `quotedFullyQualifiedName` in interface `QuotingStrategy`

    - #### quotedName

          public String quotedName​(DbAttribute attribute)

      Specified by:
        `quotedName` in interface `QuotingStrategy`

    - #### quotedSourceName

          public String quotedSourceName​(DbJoin join)

      Specified by:
        `quotedSourceName` in interface `QuotingStrategy`

    - #### quotedTargetName

          public String quotedTargetName​(DbJoin join)

      Specified by:
        `quotedTargetName` in interface `QuotingStrategy`

    - #### quotedIdentifier

          public String quotedIdentifier​(Entity entity,
                                         String... identifierParts)

      Specified by:
        `quotedIdentifier` in interface `QuotingStrategy`

    - #### quotedIdentifier

          public String quotedIdentifier​(DataMap dataMap,
                                         String... identifierParts)

      Specified by:
        `quotedIdentifier` in interface `QuotingStrategy`